﻿@model IEnumerable<object>
@{

    List<PMS02.Models.Project> list = Model.ToList()[0] as List<PMS02.Models.Project>;
    List<PMS02.Models.Asign_Project> req = Model.ToList()[1] as List<PMS02.Models.Asign_Project>;
    List<PMS02.Models.Post> post = Model.ToList()[2] as List<PMS02.Models.Post>;
    List<PMS02.Models.User> user = Model.ToList()[3] as List<PMS02.Models.User>;

    ViewBag.Title = "My Profile";
    Layout = "~/Views/Shared/_Layout.cshtml";
    //byte[] photo = (byte[])Session["photo"];
    //var base64 = Convert.ToBase64String(photo);
    //var img = string.Format("data:image/jpg;base64,{0}");
    var first = Session["First"];
    var last = Session["Last"];
    var mobile = Session["Mobile"];
    var job = Session["Job"];
    var role = Session["Role"];
    var id = Session["id"];
}
@if ((string)Session["Role"] == "Customer")
{
    
    <div class="container-fluid text-center">
        <div class="row">

            <div class="col-md-10">
                <div class="row ">
                    <div class="col-sm-12">
                        <div class="panel panel-success" style="max-height:500px ;min-height:500px;overflow-y:scroll">
                            <div class="panel-heading">
                                All Current and previous Projects
                            </div>
                            <div class="panel-body table-responsive ">
                                <table class="table table-condensed table-bordered table-hover ">

                                    <tr class="danger">
                                        <th>
                                            Project Status
                                        </th>
                                        <th>
                                            Post Header
                                        </th>
                                        <th>
                                            Post Description
                                        </th>
                                        <th>
                                            PM That works on
                                        </th>

                                    </tr>
                                    @foreach (var item in list)
                                    {

                                        <tr class="success">
                                            <td>
                                                @Html.DisplayFor(modelitem => item.status)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.Post.post_header)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.Post.post_desc)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.User.User_Name)
                                            </td>

                                        </tr>
                                    }

                                </table>

                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12">
                        <div class="panel panel-success" style="max-height:500px ;min-height:500px;overflow-y:scroll">
                            <div class="panel-heading">
                                <h3 class="panel-title">Managers Reqested to Manage Projects you posted </h3>
                            </div>
                            <div class="panel-body table-responsive">
                                <table class="table table-condensed table-bordered table-hover ">
                                    <tr class="danger">

                                        <th>
                                            PM
                                        </th>
                                        <th>
                                            Assign
                                        </th>
                                        <th>
                                            Reject
                                        </th>
                                    </tr>
                                    @foreach (var item in req)
                                    {

                                        <tr class="success">
                                            <td>
                                                @Html.DisplayFor(modelitem => item.User.User_Name)
                                            </td>
                                            <td>
                                                @using (Html.BeginForm("AcceptRequest", "Customer", new { postid = @item.post_ID, ManagerID = @item.Project_Manager_ID, asignId = @item.ID }, FormMethod.Post))
                                                {
                                                    Html.AntiForgeryToken();
                                                    <button type="submit" value="AcceptRequest" class="btn btn-success btn btn-sm"><span class="glyphicon glyphicon-arrow-right"></span> Accept</button>
                                                }
                                            </td>
                                            <td>
                                                @using (Html.BeginForm("DeleteRequest", "Customer", new { asignId = @item.ID }, FormMethod.Post))
                                                {
                                                    Html.AntiForgeryToken();
                                                    <button type="submit" value="DeleteRequest" class="btn btn-danger btn btn-sm"><span class="glyphicon glyphicon-remove-circle"></span> Reject Request</button>
                                                }
                                            </td>

                                        </tr>
                                    }
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12">
                        <div class="panel panel-success" style="max-height:500px ;min-height:500px;overflow-y:scroll">
                            <div class="panel-heading">
                                <h3>All current Approved not Assigned posts </h3>
                            </div>
                            <div class="panel-body table-responsive">
                                <table class="table table-condensed table-bordered table-hover">
                                    <tr class="danger">
                                        <th> Project Details </th>
                                        <th> PMs Available </th>
                                    </tr>
                                    @foreach (var item in post)
                                    {
                                        <tr class="success">
                                            <td>@Html.DisplayFor(model => item.post_header)</td>

                                            @foreach (var u in user)
                                            {
                                            <td>
                                                @Html.DisplayFor(model => u.User_Name)
                                                @using (Html.BeginForm("AssigntoPM", "Customer", new { postid = @item.postID, managerid = u.userID }, FormMethod.Post))
                                                {
                                                    Html.AntiForgeryToken();
                                                    <button type="submit" value="AssigntoPM" class="btn btn-success btn btn-sm"><span class="glyphicon glyphicon-arrow-right"></span> Assign</button>
                                                }
                                            </td>
                                            }
                                        </tr>
                                    }
                                </table>

                            </div>
                        </div>
                    </div>

                </div>

            </div>
            <div class="col-sm-2 well table-responsive ">
                <div class="well ">
                    <p>Profile Information</p>
                    <img src="" class="img-responsive img-circle" />
                </div>
                <table class="table table-condensed table-hover">
                    <tr>
                        <td class="danger">First Name</td>
                        <td class="success"><strong>@first</strong></td>
                    </tr>
                    <tr>
                        <td class="danger">Last Name </td>
                        <td class="success"><strong>@last</strong></td>
                    </tr>
                    <tr>
                        <td class="danger"> Job Description </td>
                        <td class="success"><strong>@job</strong></td>
                    </tr>
                    <tr>
                        <td class="danger">Mobile  </td>
                        <td class="success"><strong>@mobile</strong></td>
                    </tr>
                </table>
                <div class="well text-center">
                    <h4 class="text-center text-success">Post A New Project Now ! </h4>
                    <a href="@Url.Action("PostNewProject", "Home")" class="btn btn-success btn-lg">Post<span class="glyphicon glyphicon-pencil"></span></a>
                </div>

            </div>
        </div>
    </div>

}
